# Uses of Class
org.apache.lucene.search.FieldDoc

Packages that use FieldDoc
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of FieldDoc in org.apache.lucene.search

Constructors in org.apache.lucene.search with parameters of type FieldDoc
Modifier
Constructor
Description
``
`TopFieldCollectorManager(Sort sort, int numHits, FieldDoc after, int totalHitsThreshold)`
Creates a new `TopFieldCollectorManager` from the given arguments, with thread-safe internal states.
``
`TopFieldCollectorManager(Sort sort, int numHits, FieldDoc after, int totalHitsThreshold, boolean supportsConcurrency)`
Creates a new `TopFieldCollectorManager` from the given arguments.